Issue 122692 - boost build fixes for OS/2
boost build fixes for OS/2
Status: RESOLVED FIXED
Product: General
Classification: Code
Component: code
4.0.0-dev
All OS/2
: P3 normal (vote)
: 4.0.0
Assigned To: AOO issues mailing list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-05 09:17 UTC by Yuri Dario
Modified: 2013-07-11 07:24 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation on: ---
Developer Difficulty: ---
jsc: 4.0.0_release_blocker+


Attachments
boost os2 additional patch file (1.43 KB, text/plain)
2013-07-05 09:17 UTC, Yuri Dario
no flags Details
boost makefile patch (335 bytes, patch)
2013-07-05 09:18 UTC, Yuri Dario
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description Yuri Dario 2013-07-05 09:17:28 UTC
Created attachment 81005 [details]
boost os2 additional patch file

After changes in #122208, OS/2 build is broken.

Adding OS/2 patches to boost 1.4.8 and related makefile.mk patch.
Comment 1 Yuri Dario 2013-07-05 09:18:15 UTC
Created attachment 81006 [details]
boost makefile patch
Comment 2 hdu@apache.org 2013-07-05 09:23:50 UTC
+1, thanks for the patch!
Comment 3 hdu@apache.org 2013-07-05 09:43:07 UTC
To extend my comment above: The build fix is essential for OS/2 and doesn't impact other platforms.
Comment 4 jsc 2013-07-05 12:03:13 UTC
grant showstopper flag
Comment 5 SVN Robot 2013-07-06 07:56:48 UTC
"ydario" committed SVN revision 1500221 into trunk:
i122692 i118923 - OS/2 port: boost build fixes.
Comment 6 Yuri Dario 2013-07-06 08:05:35 UTC
Code tested, AOO build ready and working again :-))
Comment 7 SVN Robot 2013-07-06 08:10:27 UTC
"ydario" committed SVN revision 1500221 into trunk:
i122692 i118923 - OS/2 port: boost build fixes.
Comment 8 hdu@apache.org 2013-07-11 07:24:36 UTC
Updated target to the release that will contain the fix.